init python:
    Room ("girl's bedroom c", "alyssas_room", "alyssas_room").alias = "Alyssa's Room"

label alyssas_room:
python:
    a2dorm = Exit ("dorm", "Go back to the foyer.", "You go back to the foyer of the dorm.")

    a_wardrobe = Container ("wardrobe")
    a_wardrobe.look ("An average teenage girl's wardrobe. Containing an average teenage girl's cloths.")

    a_tv = Item ("TV")
    a_tv.look ("A rather old fashioned TV-set.")


    a_stereo = Item ("stereo")
    a_stereo.look ("An old fashioned stereo deck. Complete with cassette player and all.")

    a_box = Container ("box")
    a_box.look ("Some personal belongings of Alyssa.")
    a_box.add_verb ("ex", label="search_alyssas_belongings")

    a_games = Item ("game consoles")
    a_games.look ("Alyssa owns a bunch of old game consoles.")

    a_book1 = Item ("book")
    a_book1.look ("A schoolbook.")

    a_book2 = Item ("book")
    a_book2.look ("A novel.")

    ad_print = Clue ("finger print", "peppers.blood_print", "The remains of a bloody fingerprint.")

    alyssa_nb.assign_room ("girl's bedroom c", (173, 696))
    alyssa_nb.ex ("Alyssa Davis' notebook is password protected. Of course it is.")

    a_stash = ContainerGroup (a_wardrobe, a_box)
return

label .first (coming_from):
    return

label .visit (coming_from):
    return

label search_alyssas_belongings (i, v, o):
    "There should be some background hints about Alyssa."
    if npc_alyssa.guilty:
        "You really should find something here showing that Alyssa hated her teacher."
    return

screen alyssas_room ():
    imagemap:
        alpha True

        ground "bg/bg girl's bedroom c.jpg"
        hover "bg/bg girl's bedroom c mask.png"

        if selected != torch:
            hotspot (1144, 0, 135, 483) action Return (a_wardrobe)
            hotspot (532, 197, 232, 167) action Return (a_tv)
            hotspot (839, 264, 259, 128) action Return (a_stereo)
            hotspot (839, 422, 29, 159) action Return (a_book1)
            hotspot (478, 426, 164, 172) action Return (a_games)
            hotspot (758, 487, 25, 102) action Return (a_book2)
            hotspot (0, 618, 104, 97) action Return (a_box)
            hotspot (553, 669, 400, 50) action Return (a2dorm)
            imagebutton:
                insensitive "icons/dummy.png"
                idle "objects/alyssa-nb.png"
                hover "objects/alyssa-nb_hover.png"
                action [Return (alyssa_nb), SensitiveIf (alyssa_nb.is_visible ())]
                xpos 173
                ypos 696
        else:
            if alyssa_nb.is_visible ():
                add "objects/alyssa-nb.png" xpos 173 ypos 696
            use hints ("girl's bedroom c")
            add Searchlight ("girl's bedroom c")

        use inventory
