init python:
    Room ("classroom b", "classroom_b", "classroom_b").alias = "Classroom 1.1"

label classroom_b:
python:
    b2floor = Exit ("1st floor", "Back to the 1st floor.", "You leave Karla Williams' homeroom.")

    cb_sponge = Item ("sponge")
    cb_sponge.look ("Just a sponge. People use it to clean chalkboards between lessons.")

    cb_tdesk = Container ("teacher's desk")
    cb_tdesk.look ("The teacher's desk.")

    kw_desk = Container ("Karla's desk")
    kw_desk.look ("This is the desk Karla Williams used last term.")

    cb_desk1 = Container ("desk")
    cb_desk1.look ("A student's desk. It doesn't matter who it belonged to last term, since it wasn't one of your suspects.")

    cb_desk2 = Container ("desk")
    cb_desk2.look ("Some unknown student's desk.")

    cb_desk3 = Container ("desk")
    cb_desk3.look ("One of many desks in this class room.")

    cb_desk4 = Container ("desk")
    cb_desk4.look ("Whoever sat here last term liked chewing gum. Eww.")

    cb_desk5 = Container ("desk")
    cb_desk5.look ("The desk of an artist, as it seems. Someone who really liked engraving cartoons into their desk.")

    weapon_stash += [cb_tdesk, kw_desk, cb_desk1, cb_desk2, cb_desk3, cb_desk4, cb_desk5]
    student_desks += [cb_tdesk, kw_desk, cb_desk1, cb_desk2, cb_desk3, cb_desk4, cb_desk5]
return

label .first (coming_from):
    sk "This is the homeroom of Karla Williams."
    return

label .visit (coming_from):
    "You're back in Karla Williams' classroom."
    return


screen classroom_b ():
    imagemap:
        alpha True

        ground "bg/bg classroom b.jpg"
        hover "bg/bg classroom b mask.png"

        if selected != torch:
            hotspot (919, 41, 248, 352) action Return (b2floor)
            hotspot (460, 251, 52, 20) action Return (cb_sponge)
            hotspot (177, 255, 275, 128) action Return (cb_tdesk)
            hotspot (1045, 440, 40, 40) action Return (cb_desk1)
            hotspot (828, 451, 44, 35) action Return (cb_desk2)
            hotspot (550, 469, 31, 34) action Return (cb_desk3)
            hotspot (342, 479, 55, 36) action Return (cb_desk4)
            hotspot (1001, 557, 59, 51) action Return (cb_desk5)
            hotspot (639, 598, 55, 52) action Return (kw_desk)
            use hints ("classroom b")
        else:
            use hints ("classroom b")
            add Searchlight ("classroom b")

        use inventory
