define pc = Character ("Postcard", color="#fff", what_color="#888")
define dh = Character ("Note", color="#fff", what_color="#888")

init python:
    Room ("girl's bedroom a", "deborahs_room", "deborahs_room").alias = "Deborah's Room"

label deborahs_room:
python:
    d2dorm = Exit ("dorm", "Go back to the foyer.", "You leave Deborah's room and go back to the foyer.")

    ds_postcard = Item ("postcard")
    ds_postcard.look ("A postcard of a lighthouse.")
    ds_postcard.add_verb ("ex", label="dear_debs")

    ds_pics = Item ("pictures")
    ds_pics.look ("Some pictures.")
    ds_pics.ex ("The top one seems to be an old family portrait of her. The other one is just a landscape and blue sky.")

    ds_heart = Item ("heart")
    ds_heart.look ("A heartshaped note.")
    ds_heart.add_verb ("ex", label="ds_heart_sw")

    ds_note = Item ("note")
    ds_note.look ("A short newspaper article praising the performance of a local band in a concert last year.")

    ds_book = Item ("school books")
    ds_book.look ("Her school books from last year. She'll probably has to return them sometime soon.")

    ds_pen = Item ("pen")
    ds_pen.look ("Just a pen.")

    ds_drawer1 = Container ("drawer")
    ds_drawer1.look ("Jeans, T-Shirts ... casual basic clothing.")

    ds_drawer2 = Container ("drawer")
    ds_drawer2.look ("Underwear, socks, stockings ... those kind of things.")

    ds_drawer3 = Container ("drawer")
    ds_drawer3.look ("Neatly folded dresses and other more formal attire.")

    ds_lips = Clue ("kiss", "peppers.kiss_print", "Someone gave that postcard a wet kiss.")

    ds_print = Clue ("finger print", "peppers.blood_print", "The remains of a bloody fingerprint.")

    d_stash = ContainerGroup (ds_drawer1, ds_drawer2, ds_drawer3)
return

label .first (coming_from):
    return

label .visit (coming_from):
    return

# TODO: Maybe it should be takeable and you should be able to confront Deborah with it?
label dear_debs (i, v, o):
    $ postcard.got ()
    "You carefully turn the postcard around to read it."
    pc "Hey Debby!"
    pc "Remember this place?"
    pc "Steve."
    sk "Look at the stamp. That card is maybe five years old!"
    p "That card must be important to her."
    if ds_heart_sw in hints_got:
        sk "And there's that heart-shaped sticker too."
    else:
        sk "Yeah."
    $ npc_deborah.add_topic ("That postcard in your room ...", "deborah.postcard", "deborah.steve")
    return

label ds_heart_sw (i, v, o):
    $ ds_heart_sw.got ()
    "The ink on the note has been bleached by sunlight. It's barely readable."
    dh "D.S. + S.W."
    sk "S dot W dot?{w} Steve Williams?"
    p "Maybe. We should ask her.{w} And probably him too."
    if postcard.known and not npc_deborah.topic_handled ("deborah.postcard"):
        sk "Don't forget that postcard."
        p "Yes. That about too."
    $ npc_deborah.add_topic ("There's a heart in your room ...", "deborah.heart", "deborah.steve")
    $ npc_steve.add_topic ("Ms. Smith has a heart for you?", "steve.heart", "steve.debby")
    return


screen deborahs_room ():
    imagemap:
        alpha True

        ground "bg/bg girl's bedroom a.jpg"
        hover "bg/bg girl's bedroom a mask.png"

        if selected != torch:
            hotspot (373, 0, 44, 30) action Return (ds_postcard)
            hotspot (444, 3, 49, 40) action Return (ds_heart)
            hotspot (332, 37, 69, 66) action Return (ds_pics)
            hotspot (425, 60, 57, 44) action Return (ds_note)
            hotspot (506, 224, 60, 99) action Return (ds_book)
            hotspot (306, 236, 17, 49) action Return (ds_pen)
            hotspot (186, 389, 92, 35) action Return (ds_drawer1)
            hotspot (185, 480, 92, 40) action Return (ds_drawer2)
            hotspot (184, 573, 92, 44) action Return (ds_drawer3)
            hotspot (0, 654, 398, 65) action Return (d2dorm)
        else:
            use hints ("girl's bedroom a")
            add Searchlight ("girl's bedroom a")

        use inventory
