init python:
    Room ("my home", "home", "home").no_csi = "Don't waste your batteries!"

label home:
python:
    # lets_run = Exit ("front", "If I'm ready to go I should get moving.", "You leave your apartment and head for your car.")
    lets_run = Item ("front")
    lets_run.look ("If I'm ready to go I should get moving.")
    lets_run.add_verb ("take", label="leave_home")

    tv = Item ("TV")
    tv.look ("You TV. You spend most evenings watching it.")
    tv.ex ("There's no time for that, now. You've got work to do!")

    disc = Item ("disc")
    disc.look ("The last DVD you saw is still in there.")
    disc.add_verb ("touch", "You won't need it! There's a crime to be solved!")

    book = Item ("book")
    book.look ("Death on the Nile by Agatha Christie.")
    book.ex ("A parting gift from your old boss. He was so much nicer than that she-dragon.")
    book.add_verb ("take", txt="You won't need it! There's a {b}real{/b} crime waiting for you!")

    pic = Item ("pic")
    pic.look ("Your sister's family.")
    pic.add_verb ("ex", label="reminder")

    left_closet = Container ("left closet")
    left_closet.look ("A small cupboard full of things.")

    right_closet = Container ("right closet")
    right_closet.look ("This side of the cupboard is actually a small safe.{w} Of course you know the combination.")

    top_drawer = Container ("top drawer")
    top_drawer.look ("A small drawer full of things.")

    middle_drawer = Container ("middle drawer")
    middle_drawer.look ("A small drawer full of things.")

    bottom_drawer = Container ("bottom drawer")
    bottom_drawer.look ("A small drawer full of things.")

    keys = Item ("keys", takeable=True)
    keys.look ("The keys to your home and to your car. Don't leave home without them.")
    keys.assign_room ("my home", (360,640-72))
    # override take!

    my_stuff = ContainerGroup (top_drawer, middle_drawer, bottom_drawer, left_closet)

    torch = Item ("torch", "torch", takeable=True)
    torch.look ("A special-issue UV flashlight")
    torch.ex ("The latest in CSI technology. Discovers any trace of blood or other bodyfluids easily.")
    torch.add_verb ("takefrom", label="take_item_from_container")
    torch.add_verb ("CSI", label="lamp_out")
    my_stuff.put_into (torch)

    phone = Item ("phone", "phone")
    phone.look ("Your cell phone.")
    phone.ex ("It might not be a fancy smart phone of a top brand. But it does connect you with your team.")

    my_gun = Item ("gun", "gun1", takeable=True)
    my_gun.look ("Your own gun.")
    my_gun.add_verb ("examine", label="do_you_really")
    my_gun.add_verb ("takefrom", label="take_item_from_container")
    my_gun.add_verb ("give", txt="You shouldn't wave your gun around like that. Someone might get hurt!")
    right_closet.put_into (my_gun)
return

label .first (coming_from):
    p "Huh? What? Oh - phone's ringing."
    "* click *"
    p "Yes?"
    "Dispatcher" "Persumed homicide at Floyd Hill boarding school."
    p "Any details?"
    "Dispatcher" "Not much yet, [sir]. Your team's still on their way. Local police forces have secured the building."
    "..."
    p "I'll be there in 30."
    "* click *"

    "It's way too early for this stuff ..."
    "Anyway."
    "Let's start moving. The boss already has it in for me."
    return

label .visit (coming_from):
    return

label lamp_out (i, v, o):
    "You turn off your searchlight."
    return

label do_you_really (i, v, o):
    """
    You stare at your service weapon for a short while.

    You have mixed feelings about this{w} ... thing.

    More importantly, you're probably the worst shot in the whole police force.

    Small wonder since you barely spend the required time at the range and you always just pass those tests.
    """
    return

label reminder (i, v, o):
    """
    You just {i}love{/i} this picture.

    A perfect little family. Radiating love and happiness.

    Time after time you start wondering why you put up with all the shit you face in your daily job.

    This is why.

    Somebody {b}has{/b} to do it to protect the innocent.

    Protect people like your adorable young niece.
    """
    return

label leave_home (i, v, o):
    if not front_check_enter ():
        return

    "You leave your apartment and head for your car."
    scene black with dissolve
    "The second you lock the apartment door you receive a lengthy message from your boss."
    boss "Remember: this is your last chance, [last]."
    boss "Go off on another wild goose chase or waste public resources on pointless tests ..."
    boss "Pull off just {b}one{/b} of your usual stunts, and you'll get your lazy ass fired."
    boss "Oh. By the way."
    boss "We'll try to stall the press and have your suspects isolated from everyone."
    boss "You should make the most of this time we're buying you."
    boss "Floyd Hill is a very prestigious institution. Once word gets around you're case will sure be dead."
    boss "Don't fail me."
    boss "Not {i}again{/i}."
    "Great. Just great."
    $ rooms ["front"].enter (current_room)
    return

screen home ():
    imagemap:
        alpha True

        ground "bg/bg my home.jpg"
        hover "bg/bg my home mask.png"

        hotspot (0, 0, 69, 719) action Return (lets_run)
        hotspot (1182, 199, 97, 35) action Return (top_drawer)
        hotspot (529, 210, 225, 209) action Return (tv)
        hotspot (987, 241, 113, 80) action Return (pic)
        hotspot (1181, 245, 98, 36) action Return (middle_drawer)
        hotspot (1183, 291, 96, 39) action Return (bottom_drawer)
        hotspot (902, 361, 162, 265) action Return (left_closet)
        hotspot (1093, 373, 185, 302) action Return (right_closet)
        hotspot (485, 441, 82, 32) action Return (disc)
        hotspot (774, 525, 80, 40) action Return (book)

        imagebutton auto "icons/keys_%s.png" insensitive "icons/dummy.png" action [Return (keys), SensitiveIf (not keys.moved)] xpos 360 ypos (640-72)

        use inventory
