# There'll be not much immediate background for the kids since this is a boarding school between terms.
# TODO: let'm check the file cabinet in the teacher's office!
# TODO: let'em question whoever is responsible during the break. Principal would be unavailable.
define of = Character ("Officer")
define to = Character ("Taylor Oswold")

label sergeant:
    $ npc_sergeant.add_topic ("About that gate ...", "sergeant.gates")
    $ npc_sergeant.add_topic ("Camera surveillance?", "sergeant.cameras")
    $ npc_sergeant.add_topic ("Victim's background?", "sergeant.background1")
    return

label .gates:
    $ locked.got ()
    if cameras.known:
        $ npc_sergeant.add_topic ("Do we have a search warrant?", "sergeant.permits")
    p "Where the gates open all night?"
    sm "No, [sir]. We had them opened when we arrived at the scene."
    if cameras.known:
        $ kids_did_it.got ()
        p "In other words: all of the students are possible suspects, and there's no conceiveable way somebody other then those students could have commited the crime."
        pp "That's how it looks like at the moment."
        p "Yes. Of course we'll keep an open mind."
    return

label .cameras:
    $ cameras.got ()
    if locked.known:
        $ npc_sergeant.add_topic ("Do we have a search warrant?", "sergeant.permits")
        p "You said the gates were locked?{w} Is there camera surveillance of the secured area?"
    else:
        p "Any surveillance cameras?"
    sm "Yes, [sir]. The perimeter is protected by camera surveillance."
    p "Only the perimeter?"
    sm "Yes. For some reason there's no surveillance of the interior of the school. Only the dorms and the perimeter."
    p "Wait. There's cameras in the dorms, but not here or in the halls?"
    # Hello lampshade!
    sm "The principal informed us, that the student's parents requested a surveillance of this kind."
    sm "They wanted to make sure that no outsider would enter unchecked ... and since they've got only one dormatory for a co-ed school ..."
    "So they didn't want their precious kids to be ... tainted by those nasty other kids, huh?"
    p "What about the footage?"
    sm "We have checked the recordings."
    sm "The victim entered the premises around 11:30 pm.{w} She was the only one to enter or leave the premises since curfew yesterday."
    p "This school has a curfew?"
    sm "Yes. During the break curfew is at 10:00 pm."
    p "What about the cameras in the dorm?"
    sm "Every one of the students has left dorm at least once during the night."
    if locked.known:
        $ kids_did_it.got ()
        p "In other words: all of the students are possible suspects, and there's no conceiveable way somebody other then those students could have commited the crime."
        pp "That's how it looks like at the moment."
        p "Yes. Of course we'll keep an open mind."
    return

label .permits:
    $ got_permits.got ()
    p "Do we have search warrants for the dorm rooms?"
    sm "Yes, [sir]!"
    sk "We've got about any permission we might ever need, [sk_address]."
    p "Oh?"
    sm "We may search any room, any box and any rat hole on the premises."
    sm "And we've already taken fingerprints and DNA samples of every suspect."
    sk "Seems the judge thought if we have that a small number of suspects and such a clearly defined area to search ..."
    p "Yeah. Probably."
    "Never question a judge's decission. Especially not if it's in your favor."
    return

label .background1:
    # Don't delay other activities, this is done by forces not present at the crime site.
    $ sally_bg_check.send (worklist=False)
    p "Sergeant, do I have any background on the victim?"
    sm "Not much yet, chief inspector."
    sm "We found a card in the victim's purse naming her sister, a Taylor Oswold, as emergency contact. I've sent an officer to inform and question her."
    p "You now the routine, right?"
    sm "Of course. The usual questions ... how did the victim spend her last day? Did you notice anything about her? Do you know about any enemies or trouble?"
    p "Yes. And please have them ask her about the victim coming to her workplace that late at night."
    pp "And dressed up like that! That dress she wore was more fitting for a party than for teaching."
    "Depending on the type of \"lesson\" she was planing on holding, maybe."
    "Of course you don't say this aloud."
    sm "Will do, [sir]!"
    return

label .background2 (dummy=None):
    sm "My officers have finished talking with Mrs. Oswold, the sister of Ms. Reynolds, [sir]."
    p "Very good."
    sm "I'm sending you the transcript as we speak."
    p "Excellent, Sergeant!"
    sm "Thank you, [sir]."
    return

label .please_check_files (dummy=None):
    p "Sergeant, there's a file cabinet in the teachers' room."
    sm "You want us to summarize this for you?"
    p "Yes, please."
    p "We'll need a short dossier on any of our subjects and maybe of the victim, too."
    sm "I'll have my men on it in a minute. And we'll file the details with the case, of course."
    # Parallel to other activities, please.
    $ files.send (worklist=False)
    return

label .files_results (dummy=None):
    $ smart.got ()
    $ family.got ()
    sm "We have the dossiers ready for you, [sir]."
    p "Just the basic facts, please."
    sm "The victim, Sally Reynolds seems to have been an remarkable teacher."
    if not npc_alyssa.guilty:
        sm "There's not a single complaint against her in her personal records. Not one."
    else:
        sm "Of all her students, there's only one who seemed to have a problem with her. Our suspect Alyssa Davis."
    sm "She had several recommendations. And it seems she specifically volunteered for a tutoring class during this break."
    sm "About our suspects."
    sm "They come from all accross the nation. Tuition fees at Floyd Hill are substantial, but there's no record of any finacial problems with our suspects."
    "Rich kids, huh?"
    sm "Steve and Karla Williams are brother and sister. Their parents had to push some buttons on her behalf to allow her to follow her brother to this school."
    sm "Steve seems to be an exceptional student. Karla less so, she had some troubles, especially with geography and maths."
    sm "According to their parents' addresses, Deborah Smith and the Williamses grew up in the same neighborhood."
    sm "Above that both Steve Williams' and Deborah Smith's application to Floyd Hill where sent on the same day."
    sm "Alyssa Davis seems to have not much of a connection to any of the other students. Her grades are average if not good, with one noteable execption."
    sm "Her performance in geography has been sub-par this year."
    if npc_michael.guilty:
        sm "There's a small note in Michael Hendersons records about an episode where he showed - quote - \"inapproriate interest\" - unquote{nw}"
        extend " in our victim."
        sm "He had been given a formal warning and apologized to Ms. Reynolds."
        sm "All parties agreed to let the matter rest."
        "Yeah. I bet they did."
    else:
        sm "There's nothing much about the last student, Mr. Michael Henderson. Average student. Affluent background."
    p "Thank you very much, sergeant. That should suffice for the moment."
    sm "Of course, [sir]."
    return

label taylor_transcript:
    $ transcript.got ()
    "You quickly read across the first few paragraphs where the officers inform Mrs. Oswold about the untimely death of her sister."
    "One of the perks of your rank as chief inspector is that you don't have to do those talks in person any more."
    "Everybody reacts differently to the loss of a loved one."
    "And yet it's always the same in a way ... shock, disbelieve, crying ... accusations ..."
    "At least this time the sister didn't have to be treated as a possible suspect ... for now."
    "It wouldn't be the first \"perfect alibi\" not to hold water at a closer look."
    "After the some time the officers had been able to calm down the witness and get useful answers to their questions."
    "You start paying more attention to the transcripted questioning."
    # Things that should be here:
    #   - parents died in a car crash ten years ago.
    #   - no other living family.
    of "When was the last time you saw or talked to your sister?"
    to "Yesterday night, around a quarter to eleven."
    "The officer made her describe what her sister was wearing: a fashionable jeans and a matching blouse."
    to "We've went to a birthday party of a common friend.{w} Actually, it's a friend of mine and more like an acquaintance of hers."
    to "She excused herself around half past ten and we drove her home to her appartment."
    of "We?"
    to "My husband and I. Sally didn't have a car."
    of "Your husband is Mr. William Oswold?"
    to "Yes. He's working as security at the local mall and on duty at the moment."
    "There's a short note by the officer in charge saying that they will try to talk with Mr. William Oswold after his shift."
    "You just acknowledge this note. He's testimony can wait for now."
    of "You drove her home?"
    to "Yes. She said good bye and went in.{w} William thought she seemed to be in a hurry."
    of "And that's the last you saw or heard of Ms. Reynolds?"
    "The witness needs some time to collect herself."
    to "Yes, officer. She said she'll call me later today, but, but ..."
    "The officers have to calm her down once again."
    of "Did you notice something ... strange with her during the party or while you drove her?"
    to "She seemed a bit ... nervous, excited maybe ... about something she won't talk about."
    to "All in all she was{w} ... quieter than normal."
    of "\"Quieter\"? In what way?"
    to "She wasn't laughing as much as she usually did. And less flirty.{w} Not that much - but I should've noticed it."
    to "I ... should--"
    "The transcript mentions a short pause before the witness continued."
    to "She seemed to enjoy herself, like she always did when we went out together ... but in hindisght it felt shallow{w} ... fake."
    of "Did your sister have any enemies?"
    to "Enemies? No! Everybody loved her!"
    to "That's not true, right? Someone must've hated her. Enough to- to-"
    to "She never spoke of any aggressions against her."
    to "And I can't remember the last time someone as much as raised their voice against her."
    of "What about her work?"
    to "She liked working at that school. She always wanted to be a teacher.{w} :laugh:{w} When she was little she wanted to marry our teacher."
    to "She even volunteered for that tutoring class during the break."
    of "You said that your sister lived all by herself?"
    to "Yes, she owns that little aparment in upper Sleepville. But she lives there all on her own."
    of "No boyfriend?"
    to "She had a few some years ago.{w} But no.{w} None that I know of."
    of "Do you know why your sister asked you to drive her home only to then walk to her school by herself?"
    to "She always went there by foot. It's a short walk - she said she liked the route she took."
    of "Do you know why she went there {i}yesterday{/i}? At {b}night{/b}?"
    to "..."
    to "No. She only said she had \"things\" to do and couldn't stay through the party."
    to "I thought she would be preparing her tutoring class for next week or something."
    to "She went there to meet her murderer? Right?"
    of "We're still early in the investigations, Ma'am."
    to "Yeah{w} ... of course{w} ... of course{w} ..."
    of "Do you have anything else you'd like to add that might be helpful?"
    to "...{w} No."
    of "In that case, here is someone who wants to talk to you."
    "The transcript ended with the introduction of Martha Simmons, a therapist working with the local police."
    p "Did you read it too?"
    sk "Yes, [sk_address]."
    p "What you think?"
    sk "She seemed to notice a change in her sisters behaviour ..."
    p "You should take these kind of remarks with caution. She's just been told that her sister was killed. It's only human to look for a reason to explain that loss."
    p "Don't forget Witnesses aren't reliable like that. Their memory tends to ... adapt to the facts they got told."
    sk "Yeah. I know that, of course. Finding patterns is human nature."
    p "Exactly. It's our job to filter out which of these \"patterns\" are real."
    sk "That aparment of hers ... just how much does a teacher at this school make?"
    $ too_rich.got ()
    p "I noticed it too. Do we know about other sources of income?"
    sk "No, there's nothing in the files."
    p "Hmm. At least we now have a timeline. She left that party and returned home with just about enough time to change cloths."
    extend "And probably take a shower or refresh her make-up."
    sk "And she dressed {b}up{/b} after the party."
    p "So it seems, yes."
    return
