# TODO: talk with Steve about finding gloves or gun or something.

# TODO: all those choices should have more of an impact.
label look_steve (i=None, v=None, o=None):
    """
    Steve Williams, the oldest of your suspects.
    """
    return

label steve:
    p "Your name is Steve Williams?"
    sw "Yes."
    p "And you're a student at Floyd Hill High boarding school?"
    sw "That I am. In my final year."
    p "You're aged 18?"
    sw "Yes."
    p "You're sister is here too?"
    sw "...{w} Yes, she is. She's standing right next to me."
    "You take him to the usual background questions without really learning anything new."
    "He isn't overly eager to answer you, but at least he isn't openly hostile either."
    $ npc_steve.add_topic ("Reason to stay over break?", "steve.break")
    $ npc_steve.add_topic ("Relationship to vicitim?", "steve.sally")
    $ npc_steve.add_topic ("Your sister?", "steve.karla")
    $ npc_steve.add_topic ("Family background?", "steve.family")
    $ npc_steve.add_topic ("Deborah Smith.", "steve.debby")
    $ npc_steve.add_topic ("Michael and Alyssa.", "steve.others")
    if npc_steve.guilty:
        $ npc_steve.add_topic ("You fired the gun!", "steve.shooter", you_shot)
    return

label .break_check:
    # He knows we know about ...
    #   last night's adventure ...
    if not npc_steve.topic_handled ("steve.sex_with_sally"):
        return

    #   some vital clue.
    if npc_steve.topic_handled ("steve.hands") or npc_steve.topic_handled ("steve.shooter"):
        $ npc_steve.break_down ()
    return

label .confession:
    $ breakup.got ()
    $ motive.got ()
    # NOTE: he might "confess" to protect his sister; in that case we should treat this seperately.
    sw "There's no point in denying it anymore."
    sw "{b}Yes.{/b} It was {i}me{/i} who killed Sally."
    "You decided to remain silent for the moment."
    sw "You've probably heard, that we've had some fights over the last few weeks ..."
    sw "When she agreed to meet me yesterday, I thought we could work it out somehow."
    sw "Then she came."
    sw "She didn't say a word. Just ..."
    "..."
    sw "After we were finished, she told me that we can't be together anymore."
    sw "That this has been the last time ..."
    sw "Something ... broke within me."
    sw "Snapped."
    if attack == "shot":
        sw "I went to fetch my gun and ... hunted her down."
    elif attack == "stabbed":
        sw "I roamed around the school ... found a [weapon.name] somewhere ..."
        sw "... found {b}her{/b} again ... and ..."
    elif weapon == bat:
        sw "Somehow I found a bat and ..."
    # elif weapon == syringe:
        # sw "Some month ago I overheard the doc talk with one of the nurses. They joked about how to commit the perfect crime."
        # sw "I found a syringe and the substance they mentioned ... the I found her ... and ..."
    # else:
        # sw "She always enjoyed a cup of hot tea after we had sex ... so I offered to make her some ... I put some sleeping pills in it ... many pills ... so many ..."
    sw "I killed her. I just sat there for a while. Next to her body - staring into ... nowhere."
    sw "Finally my senses returned and I tried to cover up."
    "You questioned him about the details of his crime and his covering up, then you asked him to sign the transcript, which he did."
    jump murderer_confessed

label .break:
    p "Why did you stay over the break?"
    sw "Well, there's this tutoring class ..."
    sw "My sister and I decided to stay for it."
    $ course.got ()
    if smart in hints_got:
        "His grades didn't seem to warrant him attending tutoring classes."
        menu:
            "Should you call him out on that?"

            "Yes.":
                p "You're quite a good student."
                sw "Thank you, [sir]."
                p "It doesn't seem like you should need additional classes."
                jump .class2
            "Not yet.":
                "The direct approach is not always the best.{w} You decided to wait a while before confronting him."
    $ npc_steve.add_topic ("Talk about tutoring class.", "steve.class", trigger=smart)
    return

label .sally:
    p "What was your relationship to Ms. Reynolds?"
    if npc_steve.guilty:
        sw "\"Relationship?\""
    sw "She was one of my teachers."
    $ npc_steve.add_topic ("Just a teacher?", "steve.lovers", lovers)
    return

label .class:
    p "There sure is a reason you stayed for an additional class that you didn't actually need."
    # Fall thru.
label .class2:
    if npc_steve.topic_handled ("steve.lovers"):
        sw "Where are you headed with this? I already conceded to having had an affair with our teacher."
        sw "But believe it or not, that's not the reason I stayed over the break."
    $ sw_course_talk.got ()
    sw "First of all I'm not that brilliant I wouldn't have to work for my grades."
    sw "And there's my sister, of course. {i}She{/i} needed this class."
    if not npc_steve.guilty and not npc_steve.topic_handled ("steve.lovers"):
        sw ":sad: And S- Ms. Reynolds is - ehm {b}was{/b} an excellent teacher."
    else:
        sw "Oh, and my friend Debby."
        sk "You're referring to Deborah Smith?"
        sw "Of course.{w} If not for this tutoring class we three would be spending the break together anyway."
    p "So you just took this course out of a whim?"
    "He shrugs."
    sw "I don't have any place better to be, so why not hang out with my sister and our common friends?"
    return

label .lovers:
    "You know that he lied about his relationship with the victim."
    menu:
        "How should you react?"

        "Be assertive.":
            p "Lying to the police is never a good idea, you know?"
            if npc_steve.guilty:
                sw "Lying?"
                p "We found clear evidence, that you're relationship to Ms. Reynolds was more ... initimate, than you suggested."
                sw "Well, she ended it. So I thought it better to let bygones be bygones."
                sw "No reason to throw mud at the dead, right?"
                if sex_with_steve.known:
                    $ breakup.got ()
                    p "When exactly did she break up with you?"
                    "He hesitates just a moment too long."
                    sw "Last night. She told me she couldn't officially be my girlfriend and asked me for some \"farewell sex\"."
                    "He shrugged fake-casually."
                    sw "I agreed and we left on friendly terms."
                    "You don't buy that for a minute. But there's no way to call him out on his new lie."
            else:
                sw "You found about me and Sally, right?"
                p "Yes."
                sw "We were student and teacher. That's not exactly something to openly brag about."
                p "You still shouldn't lie to the police. We'll find out, and then you'll look bad."
                sw "Yeah."

        "Be understanding.":
            p "It sure isn't easy to talk a strange about a secret love affair."
            sw "... You know?"
            p "We're the police, it's our job to find out these kind of things."
            p "Lying to the police is never a good idea."
            if npc_steve.guilty:
                sw "She just broke up with me, so I thought it shouldn't matter anymore."
                if sex_with_steve.known:
                    $ breakup.got ()
                    p "She broke up with you? When?"
                    "He hesitates just a moment too long."
                    sw "Last night. We had our \"farewell sex\" and left on friendly terms."
                    sw "I always knew that it couldn't last. And now she's dead ..."
            else:
                $ sex_with_steve.got ()
                sw "I don't want to lie about it anymore, so{w} ...{w} ..."
                sw "In case you don't know yet: she came to see me, last night ..."
                sw "And we{w} ... made love."
                "He's on the verge of crying. You decide to let him be for a moment."
                return "stop talking"

        "Ask him for the reason.":
            p "Why did you lie about your relationship with Ms. Reynolds?"
            sw "I should've know you find out about{w} us."
            p "Then, why did you lie?"
            sw "Are you kidding? She was my teacher!"
            p "And now she's been murdered."
            if npc_steve.guilty:
                $ sex_with_steve.got ()
                "There's a minimal reaction on his face, like he's about to say something and than stops himself."               
                sk "Anything you'd want to tell us, before we find out by ourselves?"
                sw "I asked her to come over yesterday night. And we--"
                sw "We had sex."
                # Note: he doesn't tell about break up here.
            else:
                sw "I hope you catch him and lock him away!"
                sk "\"Him?\""
                sw "Him, her, whatever. Just make them {i}pay{/i}!"
                sw "Sally didn't deserve{w} ... this."

    if not sex_with_steve.known:
        $ npc_steve.add_topic ("You should've told us ...", "steve.sex_with_sally", sex_with_steve)
    else:
        $ npc_steve.block_topic ("steve.sex_with_sally")
    return

label .sex_with_sally:
    p "You should have told us about that last ... \"night\" with Sally."
    sw "..."
    if npc_steve.guilty:
        $ motive.got ()
        sw "\"Night\"{w} {b}Ha!{/b}"
        sw "We hardly ever spent the night together. Yesterday was no different."
        sw "And afterwards ... she told me she wanted to break up."
        "..."
        sw "Can you believe it?"
        sw "Used me as a damn toy and then threw me away."
        "..."
        sw "Did she think ... I ... I--"
        "He turned away, ending the conversation."
    else:
        sw "I wish we {b}had{/b} spent that night together.{w} Maybe she'd be still alive."
        sw "She said she only had time for a quick one. Just to show me we're still together."
        sw "Just because she wanted ..."
        sw "And then she went and--"
        sw "Now she's gone. Gone."
        "You decide to let him be for the moment."
    return "stop talking"

label .hands:
    p "May we have a look at your hands, please?"
    if npc_steve.guilty:
        sw "...{w} ...{w} Sure."
    else:
        sw "...{w} Sure, why not?"
    call peppers.search_hands (npc_steve.guilty, "his") from _call_peppers_search_hands_2
    return "stop talking"

label .karla:
    p "What can you tell us about your sister?"
    sw "Really. You should just leave her out of all this. She's got nothing to do with it."
    "He wants to protect his little sister."
    "While you understand that sentiment all to well, you just {i}can't{/i} \"leave her out of it\"."
    p "This is a criminal investigation, Sir. We have to talk with every one of you."
    sw "Of course. Just--"
    p "We'll treat her with care."
    "... as long as she doesn't happen to be the murderer."
    "He just nods."
    return

label .picture:
    p "There's a picture above your desk."
    sw "Yeah? What about it?"
    p "It's a girl in a swimsuit and there's a personal inscription with a heart on it."
    "He laughs shortly. Only to sober up immediately."
    sw "That's just Debby's kind of humor. She was teasing me."
    p "And you keep it above your desk?"
    sw "Sure! It's a nice, shapely girl on that pic. Why shouldn't I not like to watch her?"
    return

label .heart:
    p "Do you know about the heart-shaped note on Ms. Smith's whiteboard?"
    sw "?"
    sw "Oh, that. It dates back when we both were little kids."
    p "It has her initials and your own on it ..."
    sw "Sure it has. We were kids back then. When we made it we both vowed to be friends forever and ever ..."
    sw "And we still are."
    p "So it's a token of your friendship?"
    sw "Sure. And a reminder of ... simpler times. I'm sure I have the counterpart somewhere ... probably in one of my books or some drawer."
    "But {i}you{/i} don't put it up on your wall next to other important memories ..."
    return

label .karla_nb:
    "Didn't Peppers mention something about his sisters fingerprints on his notebook?"
    p "You let your sister use your notebook?"
    sw ":laughs: Sure, she even has her own account on it."
    if npc_karla.guilty:
        "Intersting. Peppers didn't mention a second account."
        $ npc_peppers.add_topic ("2nd account on Steves notebook?", "peppers.sw_nb_2")
    sk "Why doesn't she have her own computer - or at least tablet?"
    "He shrugs"
    p "She just perfers it that way. When we were kids I taught her how to use them ... and it kinda sticked."
    return

label .family:
    p "Tell me something about your family."
    sw "I can't see why they should be relevant to your investigation."
    p "Please let us decide the relevancy for ourselves."
    sw "Fine."
    sw "Other than my sister there's just our parents. Obviously they can afford to send us to a boarding school like this."
    sw "Neither my mother nor our father has ever been anywhere near this school."
    sw "I believe their only contact with Ms. Reynolds was a short exchange via email about that tutoring class."
    return

label .debby:
    p "What do you know about Deborah Smith?"
    sw "Debby?{w} We go ways back ..."
    "He seems to reminisce for a few moments, then actively snaps out of."
    sw "Ms. Smith is one my oldest friends. Probably my best friend all-in-all."
    sw "She, Karla and I always spent our holidays together."
    sw "I don't think she's your murderer."
    "You'd be surprised kid ..."
    return

label .others:
    p "Can you tell me something about your other friends here, Mr. Henderson and Ms. Davis?"
    sw "I wouldn't call Michael or Alyssa \"friends\". Of course I know them ... but we're not even in the same class."
    sw "Well. Current tutoring class aside."
    sw "We're on friendly social terms, but we never hung out together much."
    return

label .shooter:
    p "We found a pair of gloves with your DNA that have been used to fire a certain gun."
    sw "Maybe. I'm practice shooting on a weekly basis. And I always wear gloves on the range."
    p "Both gloves and gun were found at this school. Not at the shooting range."
    sw "Are you implying I shot her?"
    p "Did you?"
    sw "No.{w} ..."
    return

label .omg:
    if npc_karla.guilty:
        # sw "You have arrested my {b}sister{/b}?"
        # p "Yes."
        sw "You have the wrong person.{w} I have a confession to make."
        "He tried to confess how he \"killed\" the victim, but you didn't buy it for a minute."
        p "Sir, we have compelling evidence against you allegations."
        sw "I planted all that evidence against my sister."
        "There's no way in bleeding hell he did that. You just look at him to make him realize he can't fool you."
        sw "Please ..."
        "You just shake your head. You won't let his sister get away with murder. You just {i}can't{/i}."
        "And he finally accepts this."
        sw "May I talk to her?"
        p "Not at this moment, Sir. I'm afraid we can't allow it."
        sw "What about bail? Do you know how much ... ?"
        p "Sorry, Sir. But that's for the judge to decide."
        sw "I gotta call our lawyer."
        "His lawyer. Not his parents. First things first!"
        p "Sure, the Sergeant will help you with this."
    elif npc_deborah.guilty:
        sw "Debby killed her?"
        p "Yes."
        sw "I noticed she was kinda{w} jealous about us, but ..."
        "Maybe he never unterstood her feelings ..."
        sw "My family will pay for her defense ... get her the best ..."
        "There's some things even {i}your{/i} money can't fix, Kiddo."
        "Hopefully."
        p "She murderered your girlfriend."
        sw "You won't understand."
        "You just waited."
        sw "No matter my personal feelings for her, Sally was an outsider - and she always would have been."
        sw "Deborah is one of us."
        sw "She only wanted to protect me."
        "The only one thing {i}you{/i} want to do right now is to throw up."
        "Preferably right on this expensive shoes of his."
    elif npc_michael.guilty or npc_alyssa.guilty:
        sw "It was [murderer_last]?"
        p "Yes."
        sw "Will the court allow me to file for accessory prosecution?"
        p "I'm not qualified to answer on behalf of the court, Sir."
        sw "Of course{w} {size=-4}of course.{/size}"
    return "stop talking"
