init python:
    Room ("classroom a", "classroom_a", "classroom_a").alias = "Classroom 2.1"

label classroom_a:
python:
    a2floor = Exit ("2nd floor", "Back to the 2nd floor.", "You leave the homeroom of Steve Williams and Deborah Smith.")

    ca_note = Item ("notes")
    ca_note.look ("The left note contains a ranking of sorts of the students' performances. "
        "The right one is an invitation for a tutoring class.")
    ca_note.add_verb ("ex", label="steve_good")
    ca_note_read = False

    ca_sponge = Item ("sponge")
    ca_sponge.look ("A sponge for wiping the board.")

    ca_tdesk = Item ("teacher's desk")
    ca_tdesk.look ("The teacher's desk")

    s_desk = Container ("desk of Steve Williams")
    s_desk.look ("Steve Williams' desk.")

    d_desk = Container ("desk of Deborah Smith")
    d_desk.look ("The desk fo Deborah Smith.")

    ca_desk1 = Container ("student's desk")
    ca_desk1.look ("The desk of a student who didn't stay over the break.")

    ca_desk2 = Container ("student's desk")
    ca_desk2.look ("An unknown student's desk.")

    ca_desk3 = Container ("student's desk")
    ca_desk3.look ("A student's desk. You don't really know who sat here during the last term.")

    weapon_stash += [s_desk, d_desk, ca_desk1, ca_desk2, ca_desk3]
    student_desks += [s_desk, d_desk, ca_desk1, ca_desk2, ca_desk3]
return

label .first (coming_from):
    sk "According to the background check this is the homeroom of Steve Williams and Deborah Smith."
    return

label .visit (coming_from):
    "You're back in the classroom of Deborah and Steve"
    return


label steve_good (i, v, o):
    if ca_note_read:
        "You're read this one already. Steve did not attend Sally's course because he had to."
    elif smart in hints_got:
        if course in hints_got:
            "Those notes don't tell you anything new."
            "The victim was offering a tutoring class. Steve signed up without needing to."
        else:
            p "That's weird. We already now that Steve's good student."
            sk "... Then why did he stay over the break and sign up for a tutoring class?"
            p "Maybe it's because of the teacher?"
            "[sk_She]'s reading the name out loud."
            sk "Sally Reynolds. Our victim."
            p "The same."
    elif course in hints_got:
        sk "Steve signed up for our victim's tutoring class."
        p "I wonder why. Accoring to his grades here he wouldn't have needed it."
    else:
        "Interesting."
        p "Steve seems to be one of this class' better students. Especially in Geography."
        sk "And yet he signed up for that additional tutoring class."
        p "Yes. Did you notice who was holding that class?"
        sk "Our victim."
        p "We should definitely talk with him."
        sk "Yeah."
    $ ca_note_read = True
    $ smart.got ()
    $ course.got ()
    return

screen classroom_a ():
    imagemap:
        alpha True

        ground "bg/bg classroom a.jpg"
        hover "bg/bg classroom a mask.png"

        if selected != torch:
            hotspot (1195, 0, 84, 719) action Return (a2floor)
            hotspot (536, 105, 128, 141) action Return (ca_note)
            hotspot (728, 290, 61, 17) action Return (ca_sponge)
            hotspot (889, 291, 183, 30) action Return (ca_tdesk)
            hotspot (373, 445, 52, 34) action Return (s_desk)
            hotspot (620, 477, 45, 39) action Return (ca_desk1)
            hotspot (333, 521, 63, 59) action Return (d_desk)
            hotspot (606, 567, 85, 72) action Return (ca_desk2)
            hotspot (850, 609, 64, 72) action Return (ca_desk3)
            use hints ("classroom a")
        else:
            use hints ("classroom a")
            add Searchlight ("classroom a")

        use inventory
