init python:
    Room ("classroom c", "classroom_c", "classroom_c").alias = "Classroom 1.2"

label classroom_c:
python:
    c2floor = Exit ("1st floor", "Back to the 1st floor.", "You leave the homeroom of Michael Henderson and Alyssa Davis.")

    cc_pics = Item ("diagrams")
    cc_pics.look ("Some diagrams and pictures illustrating some topic or another.")
    cc_pics.ex ("They don't seem very relevant to your investigation. And they aren't.")

    cc_sponge = Item ("sponge")
    cc_sponge.look ("A sponge. You could use it to clean the board if you'd like. Only that you don't, and the board is clean anyways.")

    cc_desk1 = Container ("desk")
    cc_desk1.look ("According to some lonely book he forgot here, this desk belonged to Michael Henderson last term.")

    cc_desk2 = Container ("desk")
    cc_desk2.look ("Yet another student's desk.")

    cc_desk3 = Container ("desk")
    cc_desk3.look ("A student's desk like countless others in this school alone.")

    cc_desk4 = Container ("desk")
    cc_desk4.look ("Seems Alyssa Davis has marked her desk with a sticker bearing her name. It's a bit weird.")

    cc_desk5 = Container ("desk")
    cc_desk5.look ("The first thing you notice about this desk is the spiderweb you accidently touched. And a dead spider. At least it's not a live one.")

    cc_desk6 = Container ("desk")
    cc_desk6.look ("Sometime in the distant past of this desk there has been a poet of sorts.")

    weapon_stash += [cc_desk1, cc_desk2, cc_desk3, cc_desk4, cc_desk5, cc_desk6]
    student_desks += [cc_desk1, cc_desk2, cc_desk3, cc_desk4, cc_desk5, cc_desk6]
return

label .first (coming_from):
    sk "This is the homeroom of Michael Henderson and Alyssa Davis."
    return

label .visit (coming_from):
    return


screen classroom_c ():
    imagemap:
        alpha True

        ground "bg/bg classroom c.jpg"
        hover "bg/bg classroom c mask.png"

        if selected != torch:
            hotspot (0, 0, 62, 719) action Return (c2floor)
            hotspot (611, 38, 129, 141) action Return (cc_pics)
            hotspot (489, 287, 63, 20) action Return (cc_sponge)
            hotspot (1154, 405, 44, 29) action Return (cc_desk1)
            hotspot (236, 525, 54, 43) action Return (cc_desk6)
            hotspot (787, 540, 43, 54) action Return (cc_desk2)
            hotspot (589, 567, 83, 73) action Return (cc_desk3)
            hotspot (1026, 621, 47, 67) action Return (cc_desk4)
            hotspot (808, 662, 91, 57) action Return (cc_desk5)
            use hints ("classroom c")
        else:
            use hints ("classroom c")
            add Searchlight ("classroom c")

        use inventory
