﻿# Based on: https://lemmasoft.renai.us/forums/viewtopic.php?f=51&t=20872
init python:
    class Searchlight (renpy.Displayable):
        def __init__ (self, room):
            super (Searchlight, self).__init__ ()

            #self.back = Image ("bg/transparent.png")
            self.back = Null (1280, 720)

            lit_args = [(0, 0), "bg/bg {} blued.jpg".format (room)]
            for i in rooms [room].items:
                lit_args += [i.room_pos, "{} {}".format (i.tag, i.blued)]

            for b in stains:
                if b [0] == room and b [-1].state != "irrelevant":
                    lit_args += [(b [1], b [2]), b [5]]

            self.lit = Composite ((1280, 720), *lit_args)
            self.mask = Image ("flashlight.png")
            self.pos = (-1, -1)

        def render (self, width, height, st, at):
            render = renpy.Render (config.screen_width, config.screen_height)
            
            if self.pos == (-1, -1):
                child = self.back
            else:
                x, y = self.pos
                x = width -x
                y = height-y
                child = AlphaBlend (im.Crop (self.mask, (x, y, width, height)), self.lit, self.back)

            child_render = renpy.render (child, width, height, st, at)
            render.blit (child_render, (0, 0))
            return render

        def event(self, ev, x, y, st):
            if self.pos != (x, y):
                renpy.redraw(self, 0)

            self.pos = (x, y)

        def visit(self):
            return [ self.back, self.lit, self.mask ]


#screen flashlight_demo:
    #imagemap:
        #ground "bg classroom a.jpg"

        #add Searchlight (Image ("bg classroom a.jpg"), Image ("bg classroom a blued.jpg"))
