init python:
    def apply_selected (item):
        if store.selected == "take":
            store.selected = "handle"
        return item

screen inventory (chat=False):

    hbox:
        $ to_show = [i for i in inventory if i.icon]
        if inv_offset > 0:
            imagebutton auto "icons/smallleft_%s.png" action SetVariable ("inv_offset", inv_offset-1)
        else:
            null width 36

        for i in to_show [inv_offset:inv_offset+12]:
            if i == torch or i == phone:    
                imagebutton auto i.icon action [Return (i), SelectedIf (selected==i)]
            elif i == take and chat:
                imagebutton auto "icons/lips_%s.png" action [If (not selected, SetVariable ("selected", i), Return (i)), SelectedIf (selected==i)]
            elif isinstance (i, Item):
                imagebutton auto i.icon action [If (not selected, SetVariable ("selected", i), Return (i)), SelectedIf (selected==i)]
            else:
                imagebutton auto i.icon action SetVariable ("selected", i)

        if inv_offset+12 < len (to_show):
            imagebutton auto "icons/smallright_%s.png" action SetVariable ("inv_offset", inv_offset+1)


screen placename (where):
    style_prefix "placename"

    zorder 200

    window:
        has vbox
        text clock.__str__ () size 30
        text where size 30

style placename_window:
    xsize 300
    ysize 72
    xalign 1.0
    yalign 0.0

    background "images/placeplate.png"

screen hints (room):
    if cup.room and cup.room.name == room:
        imagebutton idle "objects/cup.png" hover "objects/cup_hover.png" action Return (cup) pos cup.room_pos
    if syringe.room and syringe.room.name == room:
        imagebutton idle "objects/syringe.png" hover "objects/syringe_hover.png" action Return (syringe) pos syringe.room_pos
    if selected == torch:
        for b in stains:
            if b [0] == room and b [-1].is_visible ():
                imagebutton idle "icons/dummy.png" action Return (b [-1]) xpos b [1] ypos b [2] xsize b [3] ysize b [4]

# screen hints (room):
#     for cl in cuplocations:
#         if cl [0] == room:
#             imagebutton idle "objects/cup.png" hover "objects/cup_hover.png" action Return (cup) xpos cl [1] ypos cl [2]
#     for sl in syringe_locations:
#         if sl [0] == room:
#             imagebutton idle "objects/syringe.png" hover "objects/syringe_hover.png" action Return (syringe) xpos sl [1]-20 ypos sl [2]
