# NOTE: she's not as naive as she plays it, especially if she's the killer.
#       She'll try to get away with her innocent puppy charm and if she's caught lying she's pretty good at talking herself out of it.
# TODO: visual support. Karla shows emotions (even if she sometimes just fakes them). And if Steve appears, then show him!
label look_karla (i=None, v=None, o=None):
    """
    Karla is the youngest of the suspects, and she looks the part.
    """
    return

label karla:
    p "You're Karla Williams?"
    kw "Y-yes. :cough:"
    kw "I'm the younger sister of my brother here. We're both students at Floyd Hill High. Of course he's my senior ..."
    kw "I decided to stay over the break because I needed some extra tutoring and he ... stayed with me, because he's my brother."
    kw "Brothers look out after their younger sisters, that's what they do, right?"
    kw "Right."
    "She seems to be very nervous. And being nervous makes her babble."
    "Of course this might be an act; you've seen it all before."
    p "Please calm down a bit, Ms. Williams."
    kw "Yes, [sir]. Of course, [sir]--"
    p "You're aged 17?"
    kw "Actually, I just turned 18 a week ago."
    "You quickly check the dates ... how time flies."
    $ npc_karla.add_topic ("Relationship with victim?", "karla.sally")
    $ npc_karla.add_topic ("Your brother?", "karla.steve")
    $ npc_karla.add_topic ("Family background?", "karla.family")
    $ npc_karla.add_topic ("Deborah?", "karla.debbs")
    $ npc_karla.add_topic ("Michael and Alyssa?", "karla.others")
    # topic deborah
    # topic other dudes
    $ npc_karla.add_topic ("Did you know about Sally and Steve?", "karla.lovers", lovers)
    return

label .steve:
    p "You said your brother staid over the break?"
    kw "Sure, Steve's standing right here next to me."
    kw "He's the best brother in the world."
    "She goes on like that for quite a while."
    "You're pretty sure that this girl wouldn't say a bad word about her idol."
    "If you want to get anything useful from her you'd first have to find the right questions."
    return

label .debbs:
    p "What do you think about Ms. Smith?"
    if npc_karla.topic_handled ("karla.family"):
        kw "I think I already told you she's like a sister to me."
    else:
        kw "Debbs? She's always been like another sister to me and Steve!"
    kw "I never found a better friend than her - of course I never had to search for a friend, because Debbs was always there when we needed her."
    kw "We always talk about everything and anyrhing. She knows me better than any other in the whole world!"
    return

label .others:
    p "Can you tell me something about some of the other students here, Ms. Davis or Mr. Henderson?"
    kw "Sure? I guess I might help you a bit, even if I'm not really sure what you might need to know."
    kw "Hmm. There's not really much we know about Michael. I think he doesn't really talk much to girls."
    kw "Come to think of it, I never saw him talk to Steve either. I guess he's somewhat shy or such?"
    kw "Alyssa ... she surely isn't shy. She gives you her mind, if you want to hear it or not."
    kw "Maybe she'd be happier if she relaxed a bit? She's always up against someone or something."
    kw "I'm sure there's a nice girl hidding somewhere between that sharp tounge and sour face ..."
    "But you don't sound like you've seen this side for yourself, huh?"
    return

label .family:
    p "Tell me something about your family background, Ms. Williams."
    kw "Well, there's Steve of course. Mom and Dad ... oh - and Debbs here. I always considered her as a sister anyway."
    kw "You know Mom and Dad have run that private company together and Debbs' Mom is our CFO ... and a close friend of Mom."
    kw "Our Dads are friends, too, of course. Know each other since preschool or something."
    kw "Some day Steve will head the legal department - for reals! And I'll get marketing. Debbs will follow her mother, of course."
    p "\"Debbs\"? You mean--"
    "She interrupts."
    kw "De-bo-rah, of course! Or maybe \"Ms. Smith\" to you. The girl next to me."
    # $ npc_deborah ("CFO?", "deborah.cfo")
    return

label .sally (dummy=None):
    p "What's your relationship to the late Ms. Reynolds?"
    if not npc_karla.guilty:
        "She actually giggles for about a second then stops abruptly."
        kw "She's my teacher - and tutor during this breaks."
    else:
        kw "She t-- she {i}taught{/i} Geography. We've all been her students."
        kw "It was very kind of her to stay over the break and tutor us."
    kw "Of course now someone killed her ... that's ..."
    "It takes a visible effort for her to collect herself."
    kw "It's so sad she had to die like this."
    menu:
        "Had to die? That sounded odd in a way."

        "Leave it be.":
            pass

        "Why did you say that?":
            p "She {b}had{/b} to die? What do you mean by this?"
            kw "Don't you believe in fate? Karma? We all do what we have to do."
            "She almost starts crying."
            kw "We all :cough: die when we're destined to."
            "Yeah right. That or when someone decides to do us in."
            "She does seem to believe in this stuff, though."
    kw "She sure was some of the nicest teachers we ever had here. Always trying to ... help us students."
    kw "She will be missed."
    if npc_karla.guilty:
        extend " Will be {size=-3}missed{/size} ..."
    return

label .poem:
    # NOTE: Implies guilty.
    p "We found a poem in your room."
    kw "I have a few books about poetry. Mostly school reading."
    p "I'm talking about one named \"betrayal\"."
    kw "Ah, that one! We had to write a poem for school last semester. I got a B+ for it."
    kw "Well, not exactly for the version you found, I suppose. Probably that was just the draft."
    return

label .diary (dummy=None):
    # NOTE: currently this implies she's guilty! Or else Peppers would just say it was irrelevant.
    menu:
        "We found your diary, Ms. Williams.":
            p "We found your diary, Ms. Williams."
        "We found the diary, Karla.":
            p "We found your diary, Karla."
    if gender == "male":
        kw "A gentleman wouldn't read a girl's diary."
        p "I'm a police officer, Ma'am. I can't afford to be a gentleman while on duty."
    else:
        kw "You shouldn't read another woman's diary! That's bad manners!"
        p "I'm a police officer. I do what I have to."
    sk "We didn't read it."
    "She visibly relaxes for a split-second."
    p "We passed it over to our CSI team. {b}They{/b} read it."
    kw "So you know about that last entry."
    menu:
        "\"Yes.\"":
            p "Yes. We know."
        "Just keep silent":
            "You just look at her."
    kw "What did you make of it?"
    sk "You wrote that you hated her. That you wanted to kill her."
    p "... and now she's {i}dead{/i}."
    kw "Yeah. I feel bad about it now."
    "..."
    kw "Did that ever happen to you?"
    p "\"Happen\"?"
    kw "You wished someone would{w} {i}die{/i}."
    kw "And then they're dead, and you can't take back that wish?"
    kw "And then you feel guilty about it?{w} Even if it wasn't your fault?"
    "..."
    kw "Not your fault."
    p "So you didn't kill her?"
    kw "It's not my fault she's dead."
    "That's not the same, kiddo, and you know it."
    "..."
    sk ":soft: Did you kill her?"
    kw "{b}{size=+4}No!{/size}{/b} No."
    kw ":cough:"
    kw "Don't blame me for her death."
    "She closes her eyes for about a second, collecting herself."
    kw ":monotonous: I did not{w} kill her."
    "For someone who's innocent she sure has trouble to clearly say it."
    "The jury wouldn't buy it, but you're very sure that her lawyer will work with her on that."
    "You've seen it before."
    "Way too often."
    menu:
        "And what about that missing page Peppers mentioned? Should you confront her with it?"
        "Yes, confront her.":
            p "There's a page that's been torn out of your diary. After the one where you threatened to kill her."
            "She tenses up visibly."
            kw ":shrill: {size=+3}I have {b}no{/b} idea what you're talking about!{/size}"
            show steve at left
            sw "You don't have to talk to them!"
            p "Mr. Williams ..."
            sw "She wants legal council."
            p "You don't--"
            kw "He--"
            kw "He's right, I demand legal council. I won't say a single world without my solictor."
            jump lock_up
        "Not yet.":
            p "That'll be all, Ms. Williams."
            "[sk_label] raises an eyebrow at you but doesn't speak up. Good."
    return

# NOTE: implies guilty and she pretty much knows she's lost.
label .account:
    p "We found your online accounts, Ms. Williams."
    kw "Oh. You did?"
    sk "Yes, we did."
    p "We know about your conversations with Dr. Pierce."
    kw "!"
    if npc_karla.topic_handled ("karla.family"):
        sk "Why did you tell him you wanted become an anethetist? Didn't you tell {b}us{/b} you're planing a marketing career with your family's business?"
        kw "Plans are just plans. It never hurts to have something up one's sleeve, does it?"
    p "Why did you talk him into ordering a very specific substance, that's only used in operations the school isn't equipped for anyway?"
    kw "You read my e-mails, you can answer that for yourself. And I'm not qualified to know if this school \"isn't equipped for\" something or some other thing."
    "You could tell her you didn't read the e-mails yourself, but then she would just claim that someone misinterpreted the conversation ..."
    kw "What does it matter that Dr. Pierce ordered that stupid drug? It should be safely locked away in the sick room. And nobody knows that it's there."
    "She made an error. And you can tell by her face that she realized it. But by now you bet she'll talk herself out of this one too."
    "\"Surely some junky broke into the sick room, looking for drugs. He grapped something that looked like a narcotic when Ms. Reynolds suprised him ...\""
    "You can almost hear the bullshit she's about to feed you."
    sk "It matters because it's been stolen and used in the killing of your teacher Ms. Reynolds."
    p "Just a few days after Dr. Pierce told you that he had aquired it for you."
    kw "I, I--"
    "She starts crying \"uncontrollably\". A very convinient way to end an unconfortable questioning."
    return "stop talking"

# NOTE: probably she's innocent. Her attacks don't leave this kind of traces.
label .hands:
    p "I'd like to have a look at your hands ..."
    kw "Eh.{w} Oh. Sure."
    call peppers.search_hands (npc_karla.guilty, "her") from _call_peppers_search_hands_3
    return "stop talking"

# NOTE: must not be guilty, but might be.
label .change:
    p "Why did you change your cloths this morning?"
    kw "You're kidding me, right?"
    kw "It's one thing to run around looking like a slob in front of other students that already know me and all."
    kw "A bunch of total strangers? No way I let you see me dressing like a hobo!"
    "A perfect example of teenager-logic. Or is there more to it?"
    return

# NOTE: Karla+cup route, final clue found.
label .stains:
    $ weapon_linked.got ()
    pp "We found some stains on your skirt. On the one we found in your bedroom."
    "Did her face just fall for maybe half a second?"
    kw "Guess I'll have to wash it then, huh?"
    pp "Specifically a few small splashes of tea."
    "There. A bit longer this time."
    kw "Yeah. I do drink a lot of it."
    sk "Do you usually spike your tea with some sleeping pills?"
    "She doesn't even blink at this one. She {b}knew{/b} what was coming."
    kw "I'm not sure I understand what you're implying."
    "Oh yes you do."
    p "In short my detective said that we found the same combination of tea and sleeping pills on your cloths that was used for killing your teacher, Ms. Reynolds."
    p "Do you have a plausible explanation for this?"
    kw "I'm not the one who has to prove things here, chief inspector."
    p "Correct, this is {i}my{/i} duty."
    "You decide to just let this statement sink in. She's smart enough to know when she's lost."
    return "stop talking"

# NOTE: she's guilty.
label .contact:
    p "According to our findings you came in close contact with Ms. Reynolds lately?"
    kw ":giggles: Actually I literally ran into her last night."
    sk "Around which time?"
    kw "Dunno. Didn't carry my phone. Some time before midnight, I'd guess. Like, eleven or something?"
    "Maybe she hesitated for a split second. Maybe there was a short moment of terror on her face ..."
    "Or maybe your mind just played tricks on you."
    "Either way you won't be able to disprove her story in court. It's close enough to the truth to be credible, and vague enough to give her room to escape."
    return

label .omg:
    if npc_steve.guilty:
        kw "My own brother? A murderer? You {b}must{/b} have made a mistake!"
        kw "{size=-4}must have{/size}"
        p "I'm afraid not."
        kw "I--"
        kw "Please. Can I have a minute?"
    elif npc_deborah.guilty:
        kw "Debbs?"
        kw "Sally was killed by{w} {i}Debbs?{/i}"
        p "Yes."
        kw "Why?"
        p "We can't give you any details Ma'am."
        kw "...{w} sure.{w} Of course ..."
    elif npc_michael.guilty or npc_alyssa.guilty:
        kw "It was [murderer_first]?"
        p "Yes."
        kw "I can't really say I knew [murderer_them], but I {i}never{/i} would've thought ..."
    return "stop talking"

label .lovers:
    if npc_karla.guilty:
        p "Did you know that your brother and Ms. Reynolds were lovers?"
        kw "\"Lovers\"? Just because he banged her doesn't mean he \"loved\"{w} ... {i}her{/i}."
        "That's a pretty strong reaction. You'd never expected her to ..."
        "Well. By now you should know better than to trust an innocent face."
        p "I get that you did not approve this ... connection?"
        kw "It's not my place to \"approve\" my brothers decissions, [sir]."
        "You try to prod her, but she doesn't say any more than this."
        $ npc_karla.add_topic ("They had sex just before ...", "karla.sexytimes", sex_with_steve)
    else:
        # it's just hearsay! $ sex_with_steve.got ()
        p "Did you know about your brother and Ms. Reynolds?"
        kw "Of course I did! He's not as good at keeping secret as he might think."
        kw "They were so {i}cute{/i} together. Especially when she tried to keep a straight face in class."
        kw "I'm pretty sure they {i}saw{/i} each other last night."
        "She winks suggestively."
        kw "Of course I didn't spy on them or anything ... but the way he dressed up last night ..."
        kw ":giggles: And the way he acted when he ran into me in the dorm ..."
        "Classical hearsay, unless we found something to prove her musings."
    return

label .sexytimes:
    p "Your brother and Ms. Reynolds had sex, just before she was killed."
    kw "Thank you. That's a bit more information than what I needed to know."
    kw "Well, at least she died happy, huh? Bet she still wore that silly grin on her lips!"
    sk "How would you know about the look on her face?"
    kw "Just speculation. I'm not a child, [sk_sir]. I know about afterglow."
    return

label .missing_cup:
    p "There's a cup missing from your cupboard, Ms. Williams."
    kw "So what?"
    p "We believe this cup has been used to drug Ms. Sally Reynolds."
    kw "Oh."
    sk "That's all you got to say to this?"
    kw "I lent it out."
    p "And - may I ask - to whom?"
    if murderer [4] == npc_karla:
        kw "To Sally, actually. She used to borrow one from time to time."
        "You have no way of refute this of course, even if you don't buy it for a minute."
    elif murderer [4] == npc_deborah:
        $ npc_deborah.add_topic ("About that cup ...", "deborah.cup", cup)
        "She instantly pales and yanks her eyes wide open."
        kw "I-, I--"
        ds "You can tell them, dear."
        kw "Debbs, I--"
        ds "It's OK."
        ds "I hope you don't mind me interfering, chief inspector ..."
        "What if I do?"
        ds "but I'm the one who borrowed that cup the other day."
        ds "You probably forgot about it already."
        kw "Y-yes.{w} Seems I forgotten about it."
    elif murderer [4] == npc_micheal:
        $ npc_micheal.add_topic ("About that cup ...", "micheal.cup", cup)
        kw "Michael over there."
        kw "Oh.{w} You mean{w} {i}he{/i}?"
        sk "We're still in the middle of investigations, Ms. Williams."
        kw "Sure.{w} {size=-4}Sure.{/size}"
    return

label .geography:
    p "You seem to be a smart young woman, Ms. Williams."
    kw "Thank you?"
    sk "Why do you have problems with Geography? You even seem to hate it."
    kw "Ah!{w} Well{w} ... it's boring. I could care less if Anchorage lies on the Missippi or the whats-the-name and stuff."
    kw "I like travelling as much as the next girl, of course. But when I go somewhere it's about the architecture and the people ..."
    kw "Or activities like skiing or, heck, sunbathing. Or even just the food."
    kw "Why bother with all the boring details when there's so much interesting stuff I could spent my time on ..."
    kw "And there's travel agents! You tell them what you want and they sell you the tickets."
    p "But you did sign up for this class here ..."
    kw "Yeah."
    "..."
    kw "There's a thin line between not caring about something and failing it so hard that it ruins your overall grades."
    kw "A line I'm not willing to sail over."
    return

label .break_check:
    if npc_karla.topic_handled ("karla.account"):
        $ npc_karla.break_down ()
    if npc_karla.topic_handled ("karla.diary") and npc_karla.topic_handled ("karla.sexytimes") and npc_karla.topic_handled ("karla.stains"):
        $ npc_karla.break_down ()
    return

label .confession:
    # NOTE: she'll confess because you have cornered her. But she'll only concede the motive if you already know at least something about it.
    kw "I can't stand this anymore."
    sw "Karla."
    "Great. Big Brother to the rescue. You don't dare to interfer. She would probably default to taking his side and let him help her out of it."
    kw "Oh Steve. Can you forgive me?"
    sw "Ssh. Don't say a word."
    kw "But."
    sw "Ssh. We just let the lawyers fix it, OK?"
    kw "I--"
    "She distances herself a bit from him."
    kw "{b}No!{/b} I can't go on like this. {b}I{/b} killed that ..."
    "She breaks off mid-sentence, collects herself and starts anew."
    kw "It was me who killed Ms. Reynolds. {nw}"
    if weapon == syringe:
        extend "I made Dr. Pierce order that ... poison, I stole it."
    else:
        extend "I broke into the sick room and stole those pills."
    kw ":soft: And I killed her with it."
    sk "She drowned in the pool."
    kw "I doesn't matter. That dose would've killed a man twice her weight."
    "From what Peppers told you, that's an understatement."
    kw "I had no help whatsoever. It was {b}me!{/b} I did it all by myself. {b}Alone!{/b}"
    p "Why did you kill her?"
    if npc_karla.topic_handled ("karla.sexytimes"):
        $ motive.got ()
        kw "She was a gold-digger. She made him completely lose his mind."
        kw "..."
        kw "Of course he had girlfriends before. Thousands of them!"
        "You don't quite believe in that number."
        kw "A guy like him? Of course he could have any girl he wanted. And he {i}did!{/i}"
        kw "He'd pick them up ... and then he'd dump them ..."
        "In other words he's an asshole and she's even proud about that."
        kw "With Sally it was different. I know he'd never ditch her. And of course she wouldn't let him slip from her clutches."
        kw "I knew I had to take action. He wouldn't."
        kw "The very first time in our live that {i}I{/i} had to help {i}him{/i} out."
        kw "How could I not?"
        kw "..."
        kw "I knew exactly how to do it ... but did I really have what it takes?"
        kw "Yesterday I happened by while they were busy{w} .. :cough: at it."
        kw "It was time to act!"
        kw "Later I searched for her. I managed to \"accidently\" run into her."
        kw "She still had that knowing afterglow-grin on her face."
        if weapon == syringe:
            kw "I've rehearsed it in my head so many times ... so many times."
            kw "It was like I was watching a movie. The heroine breaks into the vault,{w} takes the vaccine ... and saves the day."
            kw "The vermin collapsed when her legs gave way."
            kw "So I discarded her body in the pool."
        else:
            kw "We often drank tea together. Sometimes even late at night."
            kw "So I invited her for a talk. Maybe I could make her see reason?"
            kw "But she wouldn't listen."
            kw "I just waited for her to finish her drink ..."
            kw "And then disposed of her in that pool."
        sk "She was still alive."
        "Karla Williams had almost talked herself into a trance. [sk_label]'s remark broke her out of it."
        "She visibly straightened herself."
    else:
        kw "--"
        sw "Let her be. Haven't you hurt her enough already?"
    kw "Bro?"
    sw "Sis?"
    kw "Can you forgive me? I--"
    sw "Ssh. You're my sister, you can't wrong me."
    "She turns to us."
    kw "Just take me to my cell, please?"
    "You make a note for the police to have her get a proper confession and let her sign it."
    jump murderer_confessed
