init python:
    Room ("boy's bedroom b", "michaels_room", "michaels_room").alias = "Michael's Room"

label michaels_room:
python:
    m2dorm = Exit ("dorm", "Go back to the foyer.", "You go back to the foyer.")

    mh_art = Item ("art")
    mh_art.look ("You're pretty sure that this picture is supposed to be art ... or something.")
    mh_art.ex ("Honestly, to you it just looks like something a preschooler might've doodled for his mummy.")

    mh_computer = Item ("computer")
    mh_computer.look ("A desktop computer with a rather larger screen.")
    mh_computer.add_verb ("ex", label="examine_mh_computer")

    mh_tv = Item ("TV")
    mh_tv.look ("A modern TV set.")

    mh_dvd = Clue ("DVD", "peppers.dvd_results", "There's a DVD left in the drive.", delay=20)
    mh_dvd.ex ("Seems like it's some selfrecorded stuff. It's definitely not a comercial DVD. And there's no label on it.")

    mh_bed = Item ("bed")
    mh_bed.look ("Michael Henderson's bed.")

    mh_drawer1 = Container ("drawer")
    mh_drawer1.look ("The drawer in Michael's desk.")

    mh_drawer2 = Container ("drawer")
    mh_drawer2.look ("The left drawer below Michael's TV.")

    mh_drawer3 = Container ("drawer")
    mh_drawer3.look ("The right drawer below Michael's TV.")

    mh_print = Clue ("finger print", "peppers.blood_print", "The remains of a bloody fingerprint.")

    m_stash = ContainerGroup (mh_drawer1, mh_drawer2, mh_drawer3)
return

label .first (coming_from):
    return

label .visit (coming_from):
    return

label examine_mh_computer (i, v, o):
    $ michaels_computer.got ()
    "This should be handled more thoroughly.!"
    return


screen michaels_room ():
    imagemap:
        alpha True

        ground "bg/bg boy's bedroom b.jpg"
        hover "bg/bg boy's bedroom b mask.png"

        if selected != torch:
            hotspot (489, 0, 76, 107) action Return (mh_art)
            hotspot (1057, 253, 222, 180) action Return (mh_computer)
            hotspot (768, 347, 156, 203) action Return (mh_tv)
            hotspot (542, 459, 111, 54) action Return (mh_bed)
            hotspot (946, 539, 126, 75) action Return (mh_drawer1)
            hotspot (734, 610, 69, 31) action Return (mh_dvd)
            hotspot (189, 628, 418, 91) action Return (m2dorm)
            hotspot (729, 664, 47, 29) action Return (mh_drawer2)
            hotspot (797, 684, 46, 30) action Return (mh_drawer3)
        else:
            use hints ("boy's bedroom b")
            add Searchlight ("boy's bedroom b")

        use inventory
