init python:
    Room ("boy's bedroom a", "steves_room", "steves_room").alias = "Steve's Room"

label steves_room:
python:
    s2dorm = Exit ("dorm", "Go back to the foyer.", "You leave Steve Williams' room and go back to the foyer.")

    sw_pic = Item ("picture")
    sw_pic.look ("A picture of a young woman lounging around in a swim suit.")

    # Maybe this could be another hint at him having an affair with Sally Reynolds.
    timetable = Item ("timetable")
    timetable.look ("This looks like his timetable. There's a tiny heart sign next to one of his lessons.")
    timetable.ex ("The lesson marked with the heart seems to be his Geography class.")

    sw_books = Item ("manga books")
    sw_books.look ("Steve has a large collection of mangas.")

    sw_drawer1 = Container ("left drawer")
    sw_drawer2 = Container ("right drawer")
    sw_drawer3 = Container ("top drawer")
    sw_drawer4 = Container ("middle drawer")
    sw_drawer5 = Container ("bottom drawer")

    sw_cabinet = Container ("cabinet")
    sw_cabinet.look ("Seems like this is were Steve Williams keeps most of his shirts, socks and underwear.")

    sw_notebook.assign_room ("boy's bedroom a", (515, 309))

    sw_print = Clue ("finger print", "peppers.blood_print", "The remains of a bloody fingerprint.")

    s_stash = ContainerGroup (sw_drawer1, sw_drawer2, sw_drawer3, sw_drawer4, sw_drawer5)
return

label .first (coming_from):
    if npc_deborah.guilty:
        $ sw_pic.look ("A picture of a young woman lounging around in a swim suit. There's a small note in one corner.")
        $ sw_pic.add_verb ("ex", label="ex_picture")
    return

label .visit (coming_from):
    return

label ex_picture (i, v, o):
    $ npc_steve.add_topic ("That picture above your desk.", "steve.picture", "steve.debby")
    $ npc_deborah.add_topic ("You gave Steve a swimsuit-picture?", "deborah.picture", "deborah.steve")
    "\"Just in case you're missing me too much. {b}{size=+3}♡{/size}{/b} Debbs.\""
    return


screen steves_room ():
    imagemap:
        alpha True

        ground "bg/bg boy's bedroom a sensitive.jpg"
        insensitive "bg/bg boy's bedroom a.jpg"
        if selected != torch:
            hover "bg/bg boy's bedroom a mask.png"

        hotspot (511, 305, 177, 34) action Return (sw_notebook) sensitive sw_notebook.is_visible ()
        if selected != torch:
            hotspot (552, 0, 287, 55) action Return (sw_pic)
            hotspot (316, 13, 104, 158) action Return (timetable)
            hotspot (0, 202, 242, 120) action Return (sw_books)
            hotspot (456, 341, 76, 41) action Return (sw_drawer1)
            hotspot (540, 348, 110, 48) action Return (sw_drawer2)
            hotspot (692, 351, 206, 279) action Return (sw_cabinet)
            hotspot (81, 386, 161, 128) action Return (sw_books)
            hotspot (542, 442, 103, 44) action Return (sw_drawer3)
            hotspot (542, 492, 103, 48) action Return (sw_drawer4)
            hotspot (542, 547, 103, 64) action Return (sw_drawer5)
            hotspot (0, 610, 508, 109) action Return (s2dorm)
        else:
            use hints ("boy's bedroom a")
            add Searchlight ("boy's bedroom a")

        use inventory
